{# _datamax/api/templates/api_exchange/all.html_ #}
{% extends "api_exchange_layout.html" %}

{% block body %}
<a class="card-link" href="#">
    <h5 class="card-title">Published APIs in the system</h5>
</a>
<br/>

<table id="Content" class="display" style="90%">
<thead>
    <tr>
        <td>Id</td>
        <td>Name</td>
        <td>Version</td>
        <td>Description</td>
        <td>Query</td>
        <td>Connection</td>
        <td>Category</td>
        <td>Status</td>
        <td>Created On</td>
    </tr>
</thead>
</table>

<script>
    $(document).ready(function() {
        $('#Content').DataTable({
            "autoWidth": false,
             "stateSave": true,
             "ordering": false,
             "ajax": {
                url: "{{ url_for('api_exchange.index') }}" + "?name=published_api",
                dataSrc: 'Contents',
             },
             "columns": [
                { data: "id"},
                { data: "name" },
                { data: "version" },
                { data: "description", "width": "20%"},
                { data: "query", "width": "30%"},
                { data: "connection_name"},
                { data: "category"},
                { data: "status"},
                { data: "created_on"}
             ],
             "columnDefs": [
                {"targets": [0],"visible": false}
             ],
             dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'pdf', 'print'
            ]

        });
    });
</script>
{% endblock %}